commit a762df8a8c64f8a197014ace5d65ca756a2adc9d
Author: Ken Gaillot <kgaillot@redhat.com>
Date:   Fri Feb 24 11:21:21 2017 -0600

    Test: pengine: update regression tests for new operation name

diff --git a/pengine/test10/bug-5025-4.dot b/pengine/test10/bug-5025-4.dot
index 20a526ffb..95e65f559 100644
--- a/pengine/test10/bug-5025-4.dot
+++ b/pengine/test10/bug-5025-4.dot
@@ -1,5 +1,5 @@
  digraph "g" {
-"remote-node_clear_failcount 18builder" [ style=bold color="green" fontcolor="black"]
+"remote-node_clear_failcount_0 18builder" [ style=bold color="green" fontcolor="black"]
 "remote-node_delete_0 18builder" -> "remote-node_start_0 18builder" [ style = bold]
 "remote-node_delete_0 18builder" [ style=bold color="green" fontcolor="black"]
 "remote-node_monitor_30000 18builder" [ style=bold color="green" fontcolor="black"]
diff --git a/pengine/test10/bug-5025-4.exp b/pengine/test10/bug-5025-4.exp
index a51c88856..586c5401e 100644
--- a/pengine/test10/bug-5025-4.exp
+++ b/pengine/test10/bug-5025-4.exp
@@ -36,7 +36,7 @@
   </synapse>
   <synapse id="3">
     <action_set>
-      <crm_event id="1" operation="clear_failcount" operation_key="remote-node_clear_failcount" on_node="18builder" on_node_uuid="4">
+      <crm_event id="1" operation="clear_failcount" operation_key="remote-node_clear_failcount_0" on_node="18builder" on_node_uuid="4">
         <primitive id="remote-node" class="ocf" provider="pacemaker" type="Dummy"/>
         <attributes CRM_meta_on_node="18builder" CRM_meta_on_node_uuid="4" CRM_meta_op_no_wait="true" CRM_meta_timeout="20000"  port="1984" server="18node1"/>
       </crm_event>
diff --git a/pengine/test10/bug-lf-2106.dot b/pengine/test10/bug-lf-2106.dot
index dc36dcf57..97998921b 100644
--- a/pengine/test10/bug-lf-2106.dot
+++ b/pengine/test10/bug-lf-2106.dot
@@ -1,6 +1,6 @@
 digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
-"pingd:0_clear_failcount cl-virt-1" [ style=bold color="green" fontcolor="black" ]
+"pingd:0_clear_failcount_0 cl-virt-1" [ style=bold color="green" fontcolor="black"]
 "pingd:0_clear_failcount_0 cl-virt-2" [ style=bold color="green" fontcolor="black"]
 "pingd:0_monitor_30000 cl-virt-1" [ style=bold color="green" fontcolor="black" ]
 "pingd:0_monitor_30000 cl-virt-2" [ style=bold color="green" fontcolor="black"]
diff --git a/pengine/test10/bug-lf-2106.exp b/pengine/test10/bug-lf-2106.exp
index f7d490016..18b6673a8 100644
--- a/pengine/test10/bug-lf-2106.exp
+++ b/pengine/test10/bug-lf-2106.exp
@@ -43,7 +43,7 @@
   </synapse>
   <synapse id="3">
     <action_set>
-      <crm_event id="2" operation="clear_failcount" operation_key="pingd:0_clear_failcount" on_node="cl-virt-1" on_node_uuid="cl-virt-1">
+      <crm_event id="2" operation="clear_failcount" operation_key="pingd:0_clear_failcount_0" on_node="cl-virt-1" on_node_uuid="cl-virt-1">
         <primitive id="pingd" long-id="pingd:0" class="ocf" provider="pacemaker" type="pingd"/>
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="cl-virt-1" CRM_meta_on_node_uuid="cl-virt-1" CRM_meta_op_no_wait="true" CRM_meta_timeout="20000"  dampen="10" host_list="10.2.50.103 10.2.50.11 10.2.50.40 10.2.50.8" interval="5"/>
       </crm_event>
@@ -94,7 +94,7 @@
   </synapse>
   <synapse id="7">
     <action_set>
-      <crm_event id="10" operation="clear_failcount" operation_key="pingd:0_clear_failcount_0" internal_operation_key="pingd:1_clear_failcount" on_node="cl-virt-2" on_node_uuid="cl-virt-2">
+      <crm_event id="10" operation="clear_failcount" operation_key="pingd:0_clear_failcount_0" internal_operation_key="pingd:1_clear_failcount_0" on_node="cl-virt-2" on_node_uuid="cl-virt-2">
         <primitive id="pingd" long-id="pingd:0" class="ocf" provider="pacemaker" type="pingd"/>
         <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="cl-virt-2" CRM_meta_on_node_uuid="cl-virt-2" CRM_meta_op_no_wait="true" CRM_meta_timeout="20000"  dampen="10" host_list="10.2.50.103 10.2.50.11 10.2.50.40 10.2.50.8" interval="5"/>
       </crm_event>
diff --git a/pengine/test10/expire-non-blocked-failure.dot b/pengine/test10/expire-non-blocked-failure.dot
index d449c7ed3..8de80a579 100644
--- a/pengine/test10/expire-non-blocked-failure.dot
+++ b/pengine/test10/expire-non-blocked-failure.dot
@@ -1,3 +1,3 @@
 digraph "g" {
-"rsc2_clear_failcount node1" [ style=bold color="green" fontcolor="black"]
+"rsc2_clear_failcount_0 node1" [ style=bold color="green" fontcolor="black"]
 }
diff --git a/pengine/test10/expire-non-blocked-failure.exp b/pengine/test10/expire-non-blocked-failure.exp
index c21fb9d1c..32bedc8da 100644
--- a/pengine/test10/expire-non-blocked-failure.exp
+++ b/pengine/test10/expire-non-blocked-failure.exp
@@ -1,7 +1,7 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <crm_event id="1" operation="clear_failcount" operation_key="rsc2_clear_failcount" on_node="node1" on_node_uuid="node1">
+      <crm_event id="1" operation="clear_failcount" operation_key="rsc2_clear_failcount_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
         <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_op_no_wait="true" CRM_meta_timeout="20000" />
       </crm_event>
diff --git a/pengine/test10/failcount-block.dot b/pengine/test10/failcount-block.dot
index c45ebad2e..710186110 100644
--- a/pengine/test10/failcount-block.dot
+++ b/pengine/test10/failcount-block.dot
@@ -1,12 +1,12 @@
 digraph "g" {
-"rsc_pcmk-1_clear_failcount pcmk-1" [ style=bold color="green" fontcolor="black"]
+"rsc_pcmk-1_clear_failcount_0 pcmk-1" [ style=bold color="green" fontcolor="black"]
 "rsc_pcmk-1_monitor_5000 pcmk-1" [ style=bold color="green" fontcolor="black"]
-"rsc_pcmk-3_clear_failcount pcmk-1" [ style=bold color="green" fontcolor="black"]
+"rsc_pcmk-3_clear_failcount_0 pcmk-1" [ style=bold color="green" fontcolor="black"]
 "rsc_pcmk-3_monitor_5000 pcmk-1" [ style=bold color="green" fontcolor="black"]
 "rsc_pcmk-3_start_0 pcmk-1" -> "rsc_pcmk-3_monitor_5000 pcmk-1" [ style = bold]
 "rsc_pcmk-3_start_0 pcmk-1" [ style=bold color="green" fontcolor="black"]
 "rsc_pcmk-4_monitor_5000 pcmk-1" [ style=bold color="green" fontcolor="black"]
 "rsc_pcmk-4_start_0 pcmk-1" -> "rsc_pcmk-4_monitor_5000 pcmk-1" [ style = bold]
 "rsc_pcmk-4_start_0 pcmk-1" [ style=bold color="green" fontcolor="black"]
-"rsc_pcmk-5_clear_failcount pcmk-1" [ style=bold color="green" fontcolor="black"]
+"rsc_pcmk-5_clear_failcount_0 pcmk-1" [ style=bold color="green" fontcolor="black"]
 }
diff --git a/pengine/test10/failcount-block.exp b/pengine/test10/failcount-block.exp
index ca27afa28..dd6b8c72c 100644
--- a/pengine/test10/failcount-block.exp
+++ b/pengine/test10/failcount-block.exp
@@ -10,7 +10,7 @@
   </synapse>
   <synapse id="1">
     <action_set>
-      <crm_event id="1" operation="clear_failcount" operation_key="rsc_pcmk-1_clear_failcount" on_node="pcmk-1" on_node_uuid="101">
+      <crm_event id="1" operation="clear_failcount" operation_key="rsc_pcmk-1_clear_failcount_0" on_node="pcmk-1" on_node_uuid="101">
         <primitive id="rsc_pcmk-1" class="ocf" provider="heartbeat" type="IPaddr2"/>
         <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="101" CRM_meta_op_no_wait="true" CRM_meta_timeout="90000" cidr_netmask="12"  ip="192.168.122.107"/>
       </crm_event>
@@ -41,7 +41,7 @@
   </synapse>
   <synapse id="4">
     <action_set>
-      <crm_event id="5" operation="clear_failcount" operation_key="rsc_pcmk-3_clear_failcount" on_node="pcmk-1" on_node_uuid="101">
+      <crm_event id="5" operation="clear_failcount" operation_key="rsc_pcmk-3_clear_failcount_0" on_node="pcmk-1" on_node_uuid="101">
         <primitive id="rsc_pcmk-3" class="ocf" provider="heartbeat" type="IPaddr2"/>
         <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="101" CRM_meta_op_no_wait="true" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.107"/>
       </crm_event>
@@ -72,7 +72,7 @@
   </synapse>
   <synapse id="7">
     <action_set>
-      <crm_event id="6" operation="clear_failcount" operation_key="rsc_pcmk-5_clear_failcount" on_node="pcmk-1" on_node_uuid="101">
+      <crm_event id="6" operation="clear_failcount" operation_key="rsc_pcmk-5_clear_failcount_0" on_node="pcmk-1" on_node_uuid="101">
         <primitive id="rsc_pcmk-5" class="ocf" provider="heartbeat" type="IPaddr2"/>
         <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="101" CRM_meta_op_no_wait="true" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.108"/>
       </crm_event>
diff --git a/pengine/test10/failcount.dot b/pengine/test10/failcount.dot
index 41966ad3f..10ef9961b 100644
--- a/pengine/test10/failcount.dot
+++ b/pengine/test10/failcount.dot
@@ -1,6 +1,6 @@
 digraph "g" {
 "re-named-lsb:0_monitor_10000 dresproddns02" [ style=bold color="green" fontcolor="black"]
 "re-named-lsb:1_monitor_10000 dresproddns01" [ style=bold color="green" fontcolor="black"]
-"re-openfire-lsb:0_clear_failcount dresproddns01" [ style=bold color="green" fontcolor="black"]
-"re-openfire-lsb:1_clear_failcount dresproddns02" [ style=bold color="green" fontcolor="black"]
+"re-openfire-lsb:0_clear_failcount_0 dresproddns01" [ style=bold color="green" fontcolor="black"]
+"re-openfire-lsb:1_clear_failcount_0 dresproddns02" [ style=bold color="green" fontcolor="black"]
 }
diff --git a/pengine/test10/failcount.exp b/pengine/test10/failcount.exp
index d64c63238..e3d7c40f6 100644
--- a/pengine/test10/failcount.exp
+++ b/pengine/test10/failcount.exp
@@ -1,7 +1,7 @@
 <transition_graph cluster-delay="20s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="1"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <crm_event id="7" operation="clear_failcount" operation_key="re-openfire-lsb:0_clear_failcount" on_node="dresproddns01" on_node_uuid="dresproddns01">
+      <crm_event id="7" operation="clear_failcount" operation_key="re-openfire-lsb:0_clear_failcount_0" on_node="dresproddns01" on_node_uuid="dresproddns01">
         <primitive id="re-openfire-lsb" long-id="re-openfire-lsb:0" class="lsb" type="openfire"/>
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="dresproddns01" CRM_meta_on_node_uuid="dresproddns01" CRM_meta_op_no_wait="true" CRM_meta_timeout="20000" />
       </crm_event>
@@ -10,7 +10,7 @@
   </synapse>
   <synapse id="1">
     <action_set>
-      <crm_event id="32" operation="clear_failcount" operation_key="re-openfire-lsb:1_clear_failcount" on_node="dresproddns02" on_node_uuid="dresproddns02">
+      <crm_event id="32" operation="clear_failcount" operation_key="re-openfire-lsb:1_clear_failcount_0" on_node="dresproddns02" on_node_uuid="dresproddns02">
         <primitive id="re-openfire-lsb" long-id="re-openfire-lsb:1" class="lsb" type="openfire"/>
         <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="dresproddns02" CRM_meta_on_node_uuid="dresproddns02" CRM_meta_op_no_wait="true" CRM_meta_timeout="20000" />
       </crm_event>
diff --git a/pengine/test10/orphan-2.dot b/pengine/test10/orphan-2.dot
index 2fc1e4330..1a4e05765 100644
--- a/pengine/test10/orphan-2.dot
+++ b/pengine/test10/orphan-2.dot
@@ -15,10 +15,10 @@ digraph "g" {
 "rsc_c001n03_monitor_0 c001n02" [ style=bold color="green" fontcolor="black"]
 "rsc_c001n03_monitor_0 c001n08" [ style=bold color="green" fontcolor="black"]
 "rsc_c001n03_monitor_6000 c001n03" [ style=bold color="green" fontcolor="black"]
-"rsc_c001n08_clear_failcount c001n02" -> "rsc_c001n08_stop_0 c001n08" [ style = bold]
-"rsc_c001n08_clear_failcount c001n02" [ style=bold color="green" fontcolor="black"]
-"rsc_c001n08_clear_failcount c001n08" -> "rsc_c001n08_stop_0 c001n08" [ style = bold]
-"rsc_c001n08_clear_failcount c001n08" [ style=bold color="green" fontcolor="black"]
+"rsc_c001n08_clear_failcount_0 c001n02" -> "rsc_c001n08_stop_0 c001n08" [ style = bold]
+"rsc_c001n08_clear_failcount_0 c001n02" [ style=bold color="green" fontcolor="black"]
+"rsc_c001n08_clear_failcount_0 c001n08" -> "rsc_c001n08_stop_0 c001n08" [ style = bold]
+"rsc_c001n08_clear_failcount_0 c001n08" [ style=bold color="green" fontcolor="black"]
 "rsc_c001n08_delete_0 c001n08" [ style=bold color="green" fontcolor="black"]
 "rsc_c001n08_stop_0 c001n08" -> "all_stopped" [ style = bold]
 "rsc_c001n08_stop_0 c001n08" -> "rsc_c001n08_delete_0 c001n08" [ style = bold]
diff --git a/pengine/test10/orphan-2.exp b/pengine/test10/orphan-2.exp
index a0ad50e9f..90042e773 100644
--- a/pengine/test10/orphan-2.exp
+++ b/pengine/test10/orphan-2.exp
@@ -143,16 +143,16 @@
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="20" operation="clear_failcount" operation_key="rsc_c001n08_clear_failcount" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+        <crm_event id="20" operation="clear_failcount" operation_key="rsc_c001n08_clear_failcount_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
       </trigger>
       <trigger>
-        <crm_event id="21" operation="clear_failcount" operation_key="rsc_c001n08_clear_failcount" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+        <crm_event id="21" operation="clear_failcount" operation_key="rsc_c001n08_clear_failcount_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="16">
     <action_set>
-      <crm_event id="21" operation="clear_failcount" operation_key="rsc_c001n08_clear_failcount" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b">
+      <crm_event id="21" operation="clear_failcount" operation_key="rsc_c001n08_clear_failcount_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b">
         <primitive id="rsc_c001n08" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_on_node="c001n08" CRM_meta_on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b" CRM_meta_op_no_wait="true" CRM_meta_timeout="20000" />
       </crm_event>
@@ -161,7 +161,7 @@
   </synapse>
   <synapse id="17">
     <action_set>
-      <crm_event id="20" operation="clear_failcount" operation_key="rsc_c001n08_clear_failcount" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f">
+      <crm_event id="20" operation="clear_failcount" operation_key="rsc_c001n08_clear_failcount_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f">
         <primitive id="rsc_c001n08" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f" CRM_meta_op_no_wait="true" CRM_meta_timeout="20000" />
       </crm_event>
diff --git a/pengine/test10/whitebox-orphan-ms.dot b/pengine/test10/whitebox-orphan-ms.dot
index 5ef391942..46b6cdaf6 100644
--- a/pengine/test10/whitebox-orphan-ms.dot
+++ b/pengine/test10/whitebox-orphan-ms.dot
@@ -25,9 +25,9 @@
 "container2_stop_0 18node1" -> "container2_delete_0 18node2" [ style = bold]
 "container2_stop_0 18node1" -> "container2_delete_0 18node3" [ style = bold]
 "container2_stop_0 18node1" [ style=bold color="green" fontcolor="black"]
-"lxc-ms_clear_failcount lxc1" -> "lxc-ms_stop_0 lxc1" [ style = dashed]
-"lxc-ms_clear_failcount lxc1" -> "lxc-ms_stop_0 lxc2" [ style = dashed]
-"lxc-ms_clear_failcount lxc1" [ style=dashed color="red" fontcolor="black"]
+"lxc-ms_clear_failcount_0 lxc1" -> "lxc-ms_stop_0 lxc1" [ style = dashed]
+"lxc-ms_clear_failcount_0 lxc1" -> "lxc-ms_stop_0 lxc2" [ style = dashed]
+"lxc-ms_clear_failcount_0 lxc1" [ style=dashed color="red" fontcolor="black"]
 "lxc-ms_delete_0 18node1" [ style=bold color="green" fontcolor="black"]
 "lxc-ms_delete_0 18node2" [ style=bold color="green" fontcolor="black"]
 "lxc-ms_delete_0 18node3" [ style=bold color="green" fontcolor="black"]
diff --git a/pengine/test10/whitebox-orphaned.dot b/pengine/test10/whitebox-orphaned.dot
index 9405fe7b9..e50252d43 100644
--- a/pengine/test10/whitebox-orphaned.dot
+++ b/pengine/test10/whitebox-orphaned.dot
@@ -15,8 +15,8 @@
 "M_stop_0 lxc1" -> "lxc1_stop_0 18node2" [ style = bold]
 "M_stop_0 lxc1" [ style=bold color="green" fontcolor="black"]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
-"container1_clear_failcount 18node2" -> "container1_stop_0 18node2" [ style = bold]
-"container1_clear_failcount 18node2" [ style=bold color="green" fontcolor="black"]
+"container1_clear_failcount_0 18node2" -> "container1_stop_0 18node2" [ style = bold]
+"container1_clear_failcount_0 18node2" [ style=bold color="green" fontcolor="black"]
 "container1_delete_0 18node1" [ style=bold color="green" fontcolor="black"]
 "container1_delete_0 18node2" [ style=bold color="green" fontcolor="black"]
 "container1_delete_0 18node3" [ style=bold color="green" fontcolor="black"]
@@ -25,8 +25,8 @@
 "container1_stop_0 18node2" -> "container1_delete_0 18node2" [ style = bold]
 "container1_stop_0 18node2" -> "container1_delete_0 18node3" [ style = bold]
 "container1_stop_0 18node2" [ style=bold color="green" fontcolor="black"]
-"lxc1_clear_failcount 18node2" -> "lxc1_stop_0 18node2" [ style = bold]
-"lxc1_clear_failcount 18node2" [ style=bold color="green" fontcolor="black"]
+"lxc1_clear_failcount_0 18node2" -> "lxc1_stop_0 18node2" [ style = bold]
+"lxc1_clear_failcount_0 18node2" [ style=bold color="green" fontcolor="black"]
 "lxc1_delete_0 18node1" [ style=bold color="green" fontcolor="black"]
 "lxc1_delete_0 18node2" [ style=bold color="green" fontcolor="black"]
 "lxc1_delete_0 18node3" [ style=bold color="green" fontcolor="black"]
diff --git a/pengine/test10/whitebox-orphaned.exp b/pengine/test10/whitebox-orphaned.exp
index 2d70aedf0..32f814107 100644
--- a/pengine/test10/whitebox-orphaned.exp
+++ b/pengine/test10/whitebox-orphaned.exp
@@ -79,7 +79,7 @@
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="19" operation="clear_failcount" operation_key="container1_clear_failcount" on_node="18node2" on_node_uuid="2"/>
+        <crm_event id="19" operation="clear_failcount" operation_key="container1_clear_failcount_0" on_node="18node2" on_node_uuid="2"/>
       </trigger>
       <trigger>
         <rsc_op id="50" operation="stop" operation_key="lxc1_stop_0" on_node="18node2" on_node_uuid="2"/>
@@ -88,7 +88,7 @@
   </synapse>
   <synapse id="7">
     <action_set>
-      <crm_event id="19" operation="clear_failcount" operation_key="container1_clear_failcount" on_node="18node2" on_node_uuid="2">
+      <crm_event id="19" operation="clear_failcount" operation_key="container1_clear_failcount_0" on_node="18node2" on_node_uuid="2">
         <primitive id="container1" class="ocf" provider="heartbeat" type="VirtualDomain"/>
         <attributes CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_op_no_wait="true" CRM_meta_timeout="20000" />
       </crm_event>
@@ -146,7 +146,7 @@
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="20" operation="clear_failcount" operation_key="lxc1_clear_failcount" on_node="18node2" on_node_uuid="2"/>
+        <crm_event id="20" operation="clear_failcount" operation_key="lxc1_clear_failcount_0" on_node="18node2" on_node_uuid="2"/>
       </trigger>
       <trigger>
         <rsc_op id="33" operation="stop" operation_key="M_stop_0" internal_operation_key="M:4_stop_0" on_node="lxc1" on_node_uuid="lxc1" router_node="18node2"/>
@@ -158,7 +158,7 @@
   </synapse>
   <synapse id="12">
     <action_set>
-      <crm_event id="20" operation="clear_failcount" operation_key="lxc1_clear_failcount" on_node="18node2" on_node_uuid="2">
+      <crm_event id="20" operation="clear_failcount" operation_key="lxc1_clear_failcount_0" on_node="18node2" on_node_uuid="2">
         <primitive id="lxc1" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="container1" CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_op_no_wait="true" CRM_meta_timeout="20000" />
       </crm_event>